libosmovty 1.13.1.1-afb4 Osmocom VTY library

Data Fields
host Struct Reference
VTY Command

Host configuration variable. More...

`#include <command.h>`

## Data Fields
char * | name
| Host name of this router. More...
char * | password
| Password for vty interface. More...
char * | password_encrypt
char * | enable
| Enable password. More...
char * | enable_encrypt
int | lines
| System wide terminal lines. More...
char * | logfile
| Log filename. More...
char * | config
| config file name of this host More...
int | advanced
| Flags for services. More...
int | encrypt
const char * | motd
| Banner configuration. More...
char * | motdfile
const struct vty_app_info * | app_info
| VTY application information. More...

## Detailed Description

Host configuration variable.

## Field Documentation

## ◆ advanced

int host::advanced

Flags for services.

Referenced by config_write_host(), DEFUN(), vty_auth(), and vty_create().

## ◆ app_info

const struct vty_app_info* host::app_info

VTY application information.

Referenced by cmd_flag_mask(), DEFUN(), node_flag_mask(), print_attr_list(), print_version(), talloc_ctx_walk(), vty_dump_element(), vty_go_parent(), vty_hello(), vty_init(), vty_prompt(), and write_config_file().

## ◆ config

char* host::config

config file name of this host

Referenced by ALIAS(), cmd_init(), DEFUN(), host_config_file(), host_config_set(), and osmo_vty_save_config_file().

## ◆ enable

char* host::enable

Enable password.

Referenced by ALIAS(), cmd_init(), config_write_host(), DEFUN(), and vty_auth().

## ◆ enable_encrypt

char* host::enable_encrypt

Referenced by ALIAS(), config_write_host(), DEFUN(), and vty_auth().

## ◆ encrypt

int host::encrypt

Referenced by ALIAS(), config_write_host(), DEFUN(), and vty_auth().

## ◆ lines

int host::lines

System wide terminal lines.

Referenced by cmd_init(), config_write_host(), DEFUN(), and vty_create().

## ◆ logfile

char* host::logfile

Log filename.

Referenced by cmd_init().

## ◆ motd

const char* host::motd

Banner configuration.

Referenced by cmd_init(), config_write_host(), DEFUN(), and vty_hello().

## ◆ motdfile

char* host::motdfile

Referenced by cmd_init(), config_write_host(), DEFUN(), and vty_hello().

## ◆ name

char* host::name

Host name of this router.

Referenced by cmd_init(), config_write_host(), and DEFUN().

## ◆ password

char* host::password

Password for vty interface.

Referenced by cmd_init(), config_write_host(), DEFUN(), vty_auth(), and vty_create().

## ◆ password_encrypt

char* host::password_encrypt

Referenced by config_write_host(), DEFUN(), vty_auth(), and vty_create().

The documentation for this struct was generated from the following file:

- include/osmocom/vty/command.h